import http from '@/http'

const apiLists = {
  1: '/api/v1/declared/construction/contract/project-list', // 待合同备案项目列表
  2: '/api/v1/declared/construction/contract/project-list-perfect'// 已经完善合同的项目列表
}
export const list = (state, params) => http.get(apiLists[state], { params }) // 合同备案列表
export const submitContract = data => http.post('/api/v1/declared/construction/submit-contract', data) // 合同备案提交
export const contractDetail = projectId => http.get(`/api/v1/declared/construction/contract/detail/${projectId}`) // 合同备案详情
export const supplement = data => http.post('/api/v1/declared/construction/supplement', data) // 补充实际支付金额

