import http from '@/http'

export const list = params => http.get('/api/v1/app-appraisal/list', { params }) // 应用绩效评价计划列表
const listUrl = {
  1: '/api/v1/app-appraisal/unEvaluate-list/',
  2: '/api/v1/app-appraisal/evaluated-list/'
}
export const projectList = (state, planId, params) => http.get(`${listUrl[state]}${planId}`, { params }) // 待整改列表
export const save = data => http.post('/api/v1/app-appraisal/save', data) // 保存分数
export const detail = (appId, planId) => http.get(`/api/v1/app-appraisal/detail/${planId}/${appId}`) // 详情

